---
title: "2023 Wrap Up - Articles"
date: 2023-12-26T04:03:18-08:00
draft: true
tags:
  - CI/CD
  - communication
  - end-of-year-wrapups
  - homelab
  - information-management
  - leisure
  - mathematics
  - MentalHealth
  - meta
  - observability
  - politics
  - productivity
  - programming-challenges
  - reading
  - real-life
  - rust
  - SDLC
  - short-thoughts
  - snippets
  - transhumanism
  - web3
  - wordle

---
# Articles

Stand-outs among articles I read this year - abandoning the table layout from last year in favour of readability :)


## [Theory-building and why employee churn is lethal to software companies](https://www.baldurbjarnason.com/2022/theory-building/)

([HN](https://news.ycombinator.com/item?id=34328069))

_Software Development is not just the act of writing code (we knew that!), but the creation of an accurate and up-to-date mental model of the system - a model which is useful for understanding how to alter that system in response to desired changes. Corollaries are that deep understanding of the context and intention of a system is essential, that team churn is catastrophic, and rewrites-for-the-sake-of-rewrites are less self-indulgent than they may seem, as they (re-)generate this familiarity._

I'm reminded of the surprising (but correct!) claim that it's preferable to have a broken-but-easy-to-change system, than a working-but-hard-to-change one. Firstly, the system may _actually_ be broken without you knowing; secondly, even if it is working perfectly _now_, requirements may change _tomorrow_. This article is also particularly relevant in the context of my team's work to establish ownership (which includes "_understanding of the subject_") of systems at work.

## [Velocity defeats itself. Get acceleration instead](https://jessitron.com/2022/12/22/velocity-defeats-itself-get-acceleration-instead/)

([HN](https://news.ycombinator.com/item?id=34353907))

_Do not neglect software engineering work which reduces the friction of development or experimentation_

Hardly a novel perspective, but I liked this way of phrasing it, especially since it stresses the hard-upper-limit of "force" as an input to acceleration

## [The Categories Were Made For Man, Not Man For The Categories](https://slatestarcodex.com/2014/11/21/the-categories-were-made-for-man-not-man-for-the-categories/)

_Starts off with a good abstract exploration of how categories should be created so as to be useful, but are neither authoritative/immutable nor inherently matters of fact; moves on to apply that, sensibly, to transgender identity._

I was _very_ cautious of reading anything from the EA/Rationalist space, especially anything related to gender identity, as they have a certain reputation - but surprisingly this piece prioritized harm-reduction over the mastubatory satisfaction of retroactively declaring one's prejudices as "supported by science"

|[Social Justice and Words, Words, Words](https://slatestarcodex.com/2014/07/07/social-justice-and-words-words-words/)|A discussion of how the same terms can be used by the same person to mean different things - often with the outcome (intentional or not) that an indefensible claim can be made defensible by "retreating" to an alternative definition when challenged|Another Rationalist article - this one a little less sympathetic, but certainly not inconsistent or obviously-wrong. I will say that his experience of Social Justice appears to have been more hostile than mine, but I also 100% believe that such people/experiences exist. Certainly, it's not a stretch to believe that some SJ folks take good intentions to harmful extremes, or subscribe to absolutist philosophies which admit no nuance.{{< rawhtml >}}<br>{{< /rawhtml >}}Ties into a theme I've noticed recently, of disagreements persisting not because of differing views but differing definitions of the terms being used in the argument. If I say "_X isn' racist_", and you and I have differing definitions of what "racist" means, we're going to struggle to make progress in understanding until we discover that mismatch (and we'll be hampered in reaching that understanding if there are value judgements associated with many of these differingly-defined terms - if you think you're hearing me say "_I see the harm being done by X, but I don't care about it_", when what I really mean is "_I recognize the harm that X does, but that harm doesn't fall under the category of 'racism'_", then our discussion will be fraught!)|
|[Of Dogs And Lizards: A Parable Of Privilege](https://sindeloke.wordpress.com/2010/01/13/37/)|A straightforward description of how Privilege arises through differing experiences/backgrounds, and how to react to that|I am a _big_ fan of social justice proponents (hmm, we're overdue a new term for that, aren't we?) who prioritize spreading understanding and education rather than criticism and shame[^georgia] - famously poor recruitment tools. In my opinion very few people (not zero!) are deliberately or actively cruel, but many are either lazy or small-minded. In an ideal world, they would do "_the right thing_" simply because it's right, not just because you tell them how their patterns could harm people they care about - but, since we don't live in an ideal world, prioritize harm reduction over ideological purity (note - linked from the preceding article)|
<!--more-->
And this is the rest of the content

[^georgia]: shout-out to the University friend who managed to significantly delay my embracing of feminism by her refusal of the term "_my partner_" because it implied ownership (yes, she was _my_ friend, though she didn't go to _my_ college, but I did invite her to a party in _my_ hometown...see where I'm going here?), thus reinforcing the narrative that feminism was overblown hysteria rather than a sensible, justified, coherent, morally-correct philosophy.

<!--
Reminders of patterns you often forget:

Images:
![Alt-text](url "Caption")

Internal links:
[Link-text](\{\{< ref "/posts/name-of-post" >}})
(remove the slashes - this is so that the commented-out content will not prevent a built while editing)
-->